All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.information.metadata
Interface ProxyListInterface

All Superinterfaces:
  PublicObjectInterface, java.rmi.Remote

All Known Implementing Classes:
  OMRProxyList

    public interface ProxyListInterface

extends PublicObjectInterface

ProxyListInterface

Method Summary
`java.lang.String` | `generateNextProxyName()` Generates the name of the next proxy in this proxy list.
`java.util.List<java.lang.String>` | `getProxiedMachines()` Returns the list of machines configured to use this proxy.
`java.util.List<ProxyInterface>` | `getProxies()` Returns a list of ProxyInterfaces representing the proxies
`java.util.List<java.lang.String>` | `getProxyURIs()` Returns the list of proxies as URI strings
`void` | `setProxiedMachines(java.util.List<java.lang.String> machines)` Sets the list of machines configured to use this proxy.
`void` | `setProxies(java.util.List<ProxyInterface> proxies)` Sets the list of proxies based on the given ProxyInterface list.
`void` | `setProxyURIs(java.util.List<java.lang.String> uris)` Sets the list of proxies based on the given URI strings

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getProxiedMachines

    java.util.List<java.lang.String> getProxiedMachines()
                                                        throws VersionIncompatibleException,
                                                               java.rmi.RemoteException,
                                                               ServiceException

  Returns the list of machines configured to use this proxy. The string representation of the Machine object is returned

  Returns:
    List containing string representation of Machine objects
  Throws:
    `java.rmi.RemoteException`
    `VersionIncompatibleException`
    `ServiceException`

### setProxiedMachines

    void setProxiedMachines(java.util.List<java.lang.String> machines)
                            throws java.lang.IllegalArgumentException,
                                   ServiceException,
                                   java.rmi.RemoteException

  Sets the list of machines configured to use this proxy. The string representing the machine name is used.

  Parameters:
    `machines` - List containing machine names to use this proxy
  Throws:
    `java.lang.IllegalArgumentException`
    `java.rmi.RemoteException`
    `ServiceException`

### getProxyURIs

    java.util.List<java.lang.String> getProxyURIs()
                                                  throws java.rmi.RemoteException,
                                                         ServiceException

  Returns the list of proxies as URI strings

  Returns:
    List of String objects containing the URIs.
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### setProxyURIs

    void setProxyURIs(java.util.List<java.lang.String> uris)
                      throws java.rmi.RemoteException,
                             ServiceException

  Sets the list of proxies based on the given URI strings

  Parameters:
    `uris` - The list of URI strings to create and set proxy objects for.
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### getProxies

    java.util.List<ProxyInterface> getProxies()
                                              throws VersionIncompatibleException,
                                                     java.rmi.RemoteException,
                                                     ServiceException

  Returns a list of ProxyInterfaces representing the proxies

  Returns:
    List of ProxyInterface objects for the proxies
  Throws:
    `java.rmi.RemoteException`
    `VersionIncompatibleException`
    `ServiceException`

### setProxies

    void setProxies(java.util.List<ProxyInterface> proxies)
                    throws java.rmi.RemoteException,
                           ServiceException

  Sets the list of proxies based on the given ProxyInterface list.

  Parameters:
    `proxies` - The list of ProxyInterface objects to set.
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

### generateNextProxyName

    java.lang.String generateNextProxyName()
                                           throws java.rmi.RemoteException,
                                                  ServiceException

  Generates the name of the next proxy in this proxy list.

  Returns:
    The generated name of the next proxy
  Throws:
    `java.rmi.RemoteException`
    `ServiceException`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.